Package org.python.modules

## Class _sre

- java.lang.Object
- - org.python.modules._sre

-     public class _sre
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CODESIZE` |
    `static int` | `MAGIC` |
    `static int` | `MAXREPEAT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `_sre()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PatternObject` | `compile​(PyString pattern, int flags, PyObject code, int groups, PyObject groupindex, PyObject indexgroup)` |
    `static int` | `getcodesize()` |
    `static int` | `getlower​(int ch, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAGIC

          public static int MAGIC

    - #### MAXREPEAT

          public static int MAXREPEAT

    - #### CODESIZE

          public static int CODESIZE

  - ### Constructor Detail

    - #### _sre

          public _sre()

  - ### Method Detail

    - #### compile

          public static PatternObject compile​(PyString pattern,
                                              int flags,
                                              PyObject code,
                                              int groups,
                                              PyObject groupindex,
                                              PyObject indexgroup)

    - #### getcodesize

          public static int getcodesize()

    - #### getlower

          public static int getlower​(int ch,
                                     int flags)